Get Claim
Fetch details of a specific claim.
/claim/:claim_id
GET https://api.terminal.africa/v1/claims/:claim_id
This endpoint allows you to get a full details for a specfic claim.
Path Parameters
Name
Type
Description
claim_id
String
Unique reference for claim. Must be provided if insurance_id is not provided.
insurance_id
String
Unique reference for insurance. Must be provided if claim_id is not provided.
Headers
Name
Type
Description
Authorization*
String
Set value to Bearer SECRET_KEY
Content-Type
String
Set value to application/json
{
"status": true,
"message": "Claim retrieved successfully",
"data": {
"_id": "637fe059409c157f6fa6b2c2",
"description": "Package was lost in transit by DHL Express Courier in the United States",
"insurance": {
"_id": "637c30e1a32631bd87c2907a",
"amount": 600,
"claim": "",
"currency": "NGN",
"metadata": {
"platform": "octamile",
"reference": "ild52fsgkfs8uu3gr736ikl2fe9s93jn"
},
"parcel": "PC-09857312356",
"partner_charge": 500,
"shipment": "SH-02314736509",
"status": "pending",
"user": "USER-00000000000",
"value": 100000,
"insurance_id": "IN-70732333028",
"created_at": "2022-11-22T02:16:01.859Z",
"updated_at": "2022-11-22T02:16:01.859Z",
"__v": 0
},
"metadata": {
"platform": "octamile",
"reference": "cha54a60rgsacdz2",
"insurance_reference": "ild52fsgkfs8uu3gr736ikl2fe9s93jn"
},
"reason": "lost-in-transit",
"signature": "<base64-encoded signature image>",
"status": "pending",
"user": {
"business_category": "",
"_id": "000000000000000000000000",
"admin": false,
"carriers": {
"domestic": [
"CA-07032569055",
"CA-18228854618",
"CA-31377601348",
"CA-71017347351",
"CA-85479996273",
"CA-49411197653",
"CA-19429970231",
"CA-81957188177"
],
"international": [
"CA-85479996273",
"CA-49411197653",
"CA-19429970231",
"CA-81957188177",
"CA-42199963340"
],
"regional": [
"CA-07032569055",
"CA-18228854618",
"CA-31377601348",
"CA-71017347351",
"CA-85479996273",
"CA-49411197653",
"CA-19429970231",
"CA-81957188177"
]
},
"company_name": "Acme Stores",
"country": "NG",
"email": "team@example.com",
"first_name": "Ada",
"last_name": "Obi",
"metadata": {
"storeId": "xxxxxxxxxxxxxxxxxxxxxxxxxxxx",
"totalShipment": 113,
"totalShipmentAmount": 228267.76,
"totalWalletInflow": 0,
"octa_profile_id": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"
},
"phone": "+2348000000001",
"public_key": "pk_test_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
"secret_key": "sk_test_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
"wallet": "000000000000000000000000",
"user_id": "USER-00000000000",
"created_at": "2022-06-24T21:35:14.842Z",
"updated_at": "2022-11-22T18:18:40.896Z",
"__v": 1,
"plan": "webflow",
"barred_countries": [],
"country_state": "Lagos",
"referralCode": "REF-00000000000",
"account_active": false,
"wallet_enabled": true,
"name": "Ada Obi",
"id": "000000000000000000000000"
},
"witnesses": [
[
"Bola Adeyemi",
"+2348000000002"
],
[
"Ada Obi",
"+2348000000001"
]
],
"claim_id": "CL-40756356455",
"created_at": "2022-11-24T21:21:29.302Z",
"updated_at": "2022-11-24T21:21:29.302Z",
"__v": 0
}
}Last updated
Was this helpful?